Weather API

Introduction

The NextBillion.ai Weather API delivers real-time as well as predicted weather information for a specified region. API response provides radar-based current and forecasted precipitation details, using GeoJSON polygons. These polygons delineate the areas affected by particular weather conditions across various time intervals.

GET

https://api.nextbillion.io/map/weather?key={your_api_key}&region={region}


Request Parameters

Loading..

Response Schema

Loading..

Sample Request

1
curl --location 'https://api.nextbillion.io/map/weather?key=<your_api_key>&region=europe'

Sample Response

1
{
2
"features": [...]
3
}

API Query Limits

NextBillion.ai allows a maximum rate limit of 6000 queries per minute or 100 queries/second for continuous requests.
Note: We can increase the quota if needed on request. Contact support@nextbillion.ai for more details.

API Error Codes

Response codeDescriptionAdditional notes
200Normal success case.Normal success case.
400Input validation failed.There is a missing or an invalid parameter or a parameter with an invalid value type is added to the request.
401APIKEY not supplied or invalidThis error occurs when the wrong API key is passed in the request or the key is missing altogether.
403APIKEY is valid but does not have access to requested resourcesYou might be querying for a geographical region which is not valid for your account or requesting a service which is not enabled for you.
404Requested host/path not foundThis error occurs when a malformed hostname is used.
422Could not process the requestA feasible solution could not be generated for the given set of locations or parameter configuration.
429Too many requestsQPM reached or API request count quota reached.
500Internal Service error.There was an internal issue with NextBillion.ai services. You can reach out to support@nextbillion.ai for an explanation.